groovy.lang

## Class PropertyValue

- java.lang.Object
- - groovy.lang.PropertyValue

-     public class PropertyValue
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyValue(Object bean, MetaProperty mp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `Class` | `getType()`
    `Object` | `getValue()`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyValue

          public PropertyValue(Object bean,
                       MetaProperty mp)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getType

          public Class getType()

    - #### getValue

          public Object getValue()

    - #### setValue

          public void setValue(Object value)